Return a collection of templates in the workspace.
HTTP request
GET https://api.wordfields.com/v1.0/templates
Request headers
| Name | Description |
|---|---|
| x-api-key | API key. Required. Learn more about authentication. |
Response
If successful, this method returns a paginated list of active templates in the workspace, sorted by default with the most recently created template first.
HTTP/1.1 200 OK
Content-type: application/json; charset=utf-8
{
"value": [
{"id": "1499179389525622343", "name": "Consultation contract", "createdDateTime": "2024-06-03T05:50:28Z", "files": [ .. ]},
{"id": "1097464506570768384", "name": "Non-disclosure agreement", "createdDateTime": "2024-05-03T05:50:28Z", "files": [ .. ]},
{"id": "8895269995408261124", "name": "Job description form", "createdDateTime": "2023-11-15T05:50:28Z", "files": [ .. ]}
],
"@odata.nextLink": "https://..."
}
Note: If a collection exceeds the default page size of 200 items, the @odata.nextLink property is included in the response. This property indicates that more items are available and provides the URL to request the next page of items.
Error responses
For more information on error handling, refer to the Error Responses article.